http://robomaker.{region}.amazonaws.com/createRobotApplicationVersionCreates a version of a robot application.
The Amazon S3 identifier for the zip file bundle that you use for your robot application.
The application information for the robot application.
A SHA256 identifier for the Docker image that you use for your robot application.
The current revision id for the robot application. If you provide a value and it matches the latest revision ID, a new version will be created.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createRobotApplicationVersion' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://robomaker.{region}.amazonaws.com/createRobotApplicationVersionCreates a version of a robot application.
The Amazon S3 identifier for the zip file bundle that you use for your robot application.
The application information for the robot application.
A SHA256 identifier for the Docker image that you use for your robot application.
The current revision id for the robot application. If you provide a value and it matches the latest revision ID, a new version will be created.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createRobotApplicationVersion' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}